import request from '@/utils/request'

// 统计今日实时交易金额、交易用户、盲票销售张数、新增经销商数量
export function getDailyData(data) {
  return request({
    url: '/api/v1/mp/admin/index/daily',
    method: 'post',
    data: data
  })
}

// 分粒度统计时间范围内的交易金额列表
export function getPayAmtList(data) {
  return request({
    url: '/api/v1/mp/admin/index/pay/amt',
    method: 'post',
    data: data
  })
}

// 分粒度统计时间范围内的交易人员数量列表
export function getPayUserCntList(data) {
  return request({
    url: '/api/v1/mp/admin/index/pay/user',
    method: 'post',
    data: data
  })
}


// 分粒度统计时间范围内的新增经销商数列表
export function getSiteIncreaseList(data) {
  return request({
    url: '/api/v1/mp/admin/index/site/increase',
    method: 'post',
    data: data
  })
}

// 统计票组销售TOP10
export function getTicketBoxTop(data) {
  return request({
    url: '/api/v1/mp/admin/index/ticket/box/top',
    method: 'post',
    data: data
  })
}

// 统计经销商交易额TOP10
export function getTicketSiteTop(data) {
  return request({
    url: '/api/v1/mp/admin/index/ticket/site/top',
    method: 'post',
    data: data
  })
}
